### Hierarchy

- PerMessageDeflateOptions

## Index

### Properties

- clientMaxWindowBits
- clientNoContextTakeover
- concurrencyLimit
- serverMaxWindowBits
- serverNoContextTakeover
- threshold
- zlibDeflateOptions
- zlibInflateOptions

## Properties

### Optional clientMaxWindowBits

clientMaxWindowBits?: number

### Optional clientNoContextTakeover

clientNoContextTakeover?: boolean

### Optional concurrencyLimit

concurrencyLimit?: number

### Optional serverMaxWindowBits

serverMaxWindowBits?: number

### Optional serverNoContextTakeover

serverNoContextTakeover?: boolean

### Optional threshold

threshold?: number

### Optional zlibDeflateOptions

zlibDeflateOptions?: { chunkSize?: number; dictionary?: <internal>.Buffer | DataView | <internal>.Buffer[]; finishFlush?: number; flush?: number; info?: boolean; level?: number; memLevel?: number; strategy?: number; windowBits?: number }

#### Type declaration

- ##### Optional chunkSize?: number

- ##### Optional dictionary?: <internal>.Buffer | DataView | <internal>.Buffer[]

- ##### Optional finishFlush?: number

- ##### Optional flush?: number

- ##### Optional info?: boolean

- ##### Optional level?: number

- ##### Optional memLevel?: number

- ##### Optional strategy?: number

- ##### Optional windowBits?: number

### Optional zlibInflateOptions

zlibInflateOptions?: ZlibOptions

Generated using TypeDoc